/*!
 * Hamburgers
 * @description Tasty CSS-animated hamburgers
 * @author Jonathan Suh @jonsuh
 * @site https://jonsuh.com/hamburgers
 * @link https://github.com/jonsuh/hamburgers
 */
.hamburger {
    font: inherit;
    display: inline-block;
    overflow: visible;
    margin: 0;
    padding: 0px;
    cursor: pointer;
    transition-timing-function: linear;
    transition-duration: .15s;
    transition-property: opacity,-webkit-filter;
    transition-property: opacity,filter;
    transition-property: opacity,filter,-webkit-filter;
    text-transform: none;
    color: inherit;
    border: 0;
    background-color: transparent;
    outline: none !important;
}

.hamburger:hover {
    opacity: .7
}

.hamburger-box {
    position: relative;
    display: inline-block;
    width: 33px;
    height: 24px;
}

.hamburger-inner {
    top: 50%;
    display: block;
    margin-top: -2px
}

.hamburger-inner,.hamburger-inner:after,.hamburger-inner:before {
    position: absolute;
    width: 32px;
    height: 2px;
    transition-timing-function: ease;
    transition-duration: .15s;
    transition-property: -webkit-transform;
    transition-property: transform;
    transition-property: transform,-webkit-transform;
    border-radius: 4px;
    background-color: #fff;
}

.hamburger-inner:after,.hamburger-inner:before {
    display: block;
    content: ''
}

.hamburger-inner:before {
    top: -10px
}

.hamburger-inner:after {
    bottom: -10px
}

/* Slider */
.hamburger--slider .hamburger-inner {
    top: 2px
}

.hamburger--slider .hamburger-inner:before {
    top: 10px;
    transition-timing-function: ease;
    transition-duration: .2s;
    transition-property: opacity,-webkit-transform;
    transition-property: transform,opacity;
    transition-property: transform,opacity,-webkit-transform
}

.hamburger--slider .hamburger-inner:after {
    top: 20px
}

.hamburger--slider.is-active .hamburger-inner {
    -webkit-transform: translate3d(0,10px,0) rotate(45deg);
    transform: translate3d(0,10px,0) rotate(45deg)
}

.hamburger--slider.is-active .hamburger-inner:before {
    -webkit-transform: rotate(-45deg) translate3d(-5.71429px,-6px,0);
    transform: rotate(-45deg) translate3d(-5.71429px,-6px,0);
    opacity: 0
}

.hamburger--slider.is-active .hamburger-inner:after {
    -webkit-transform: translate3d(0,-20px,0) rotate(-90deg);
    transform: translate3d(0,-20px,0) rotate(-90deg)
}

.hamburger--slider-r .hamburger-inner {
    top: 2px
}

.hamburger--slider-r .hamburger-inner:before {
    top: 10px;
    transition-timing-function: ease;
    transition-duration: .2s;
    transition-property: opacity,-webkit-transform;
    transition-property: transform,opacity;
    transition-property: transform,opacity,-webkit-transform
}

.hamburger--slider-r .hamburger-inner:after {
    top: 20px
}

.hamburger--slider-r.is-active .hamburger-inner {
    -webkit-transform: translate3d(0,10px,0) rotate(-45deg);
    transform: translate3d(0,10px,0) rotate(-45deg)
}

.hamburger--slider-r.is-active .hamburger-inner:before {
    -webkit-transform: rotate(45deg) translate3d(5.71429px,-6px,0);
    transform: rotate(45deg) translate3d(5.71429px,-6px,0);
    opacity: 0
}

.hamburger--slider-r.is-active .hamburger-inner:after {
    -webkit-transform: translate3d(0,-20px,0) rotate(90deg);
    transform: translate3d(0,-20px,0) rotate(90deg)
}

/* Accesible */
.hamburger--accessible .hamburger-box {
    /* display: inline-block; */
    vertical-align: middle;
}

.hamburger--accessible .hamburger-inner,.hamburger--accessible .hamburger-inner:after,.hamburger--accessible .hamburger-inner:before {
    background-color: #000;
}

.hamburger-label {
    display: inline-block;
    margin-right: 5px;
    vertical-align: middle;
    text-transform: uppercase
}